%define name	gocr
%define version	0.3.2
%define release	4mdk

%define prefix		%{_prefix}
%define _xprefix	/usr/X11R6
%define _xbindir	%{_xprefix}/bin

Summary:	Gocr is an OCR (Optical Character Recognition) program.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://altmark.nat.uni-magdeburg.de/~jschulen/ocr/
License:	GPL
Group:		Graphics
Source0:	http://prdownloads.sourceforge.net/jocr/%{name}-%{version}.tar.bz2
Source1:	%{name}-16x16.xpm.bz2
Source2:	%{name}-32x32.xpm.bz2
Source3:	%{name}-48x48.xpm.bz2
Patch0:         %{name}-DESTDIR.patch.bz2
Patch1:         %{name}-paths.patch.bz2
BuildRequires:  libnetpbm1-devel
BuildRequires:  gtk+-devel >= 1.2.8
BuildRequires:  tetex-latex
BuildRequires:  tetex-dvips
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files (or PNM from stdin); if
pnm-tools installed and running linux-like system you can also use
pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others) and outputs
a text file.


%package -n %{name}-devel
Summary:	Development tools for gocr.
Group:		Development/C

%description -n %{name}-devel
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files (or PNM from stdin); if
pnm-tools installed and running linux-like system you can also use
pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others) and outputs
a text file.

If you want to develop programs which will manipulate gocr, you should 
install gocr-devel.  You'll also need to install the gocr package.


%package -n %{name}-gtk
Summary:	Gtk+ frontend for gocr
Group: 		Graphics
Requires:	%{name} = %{version}
BuildRequires:  libgtk+1.2-devel 

%description -n %{name}-gtk
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files (or PNM from stdin); if
pnm-tools installed and running linux-like system you can also use
pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others) and outputs
a text file.

Gtk+-based frontend for gocr.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure 
%make

cd frontend/gnome
%configure --prefix=%{_xprefix} --bindir=%{_xbindir}
%make 
%install
#mkdir -p $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%_prefix
#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#mkdir -p $RPM_BUILD_ROOT%{_libdir}
#mkdir -p $RPM_BUILD_ROOT%{_includedir}
#mkdir -p $RPM_BUILD_ROOT%{_mandir}
#mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

make install DESTDIR=$RPM_BUILD_ROOT

ln -sf gnome/mkinstalldirs frontend/mkinstalldirs
make -C frontend/gnome install DESTDIR=$RPM_BUILD_ROOT


#cp $RPM_BUILD_DIR/gocr-%{version}/frontend/gnome/src/gtk-ocr $RPM_BUILD_ROOT%{_bindir}
#cp $RPM_BUILD_DIR/gocr-%{version}/bin/gocr.tcl $RPM_BUILD_ROOT%{_bindir}

# Menu
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir},%{_menudir}}
bzcat  %{SOURCE1} > %{buildroot}/%{_miconsdir}/%{name}.xpm
bzcat  %{SOURCE2} > %{buildroot}/%{_iconsdir}/%{name}.xpm
bzcat  %{SOURCE3} > %{buildroot}/%{_liconsdir}/%{name}.xpm

cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-gtk << EOF
?package(%{name}-gtk):\
command="%{_xbindir}/gtk-ocr"\
needs="X11"\
icon="%{name}.xpm"\
section="Multimedia/Graphics"\
title="Gtk-ocr"\
longtitle="Gtk-ocr is a gtk frontend for gocr"
EOF
  
%post -n %name-gtk
%{update_menus}
   
%postun -n %name-gtk
%{clean_menus}
   
%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt REVIEW TODO
%doc doc/{examples.txt,ocr.ps,unicode.txt}
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*

%files -n %{name}-devel
%defattr(-, root, root)
%doc AUTHORS
%{_libdir}/libPgm2asc.a
%{_includedir}/gocr.h

%files -n %{name}-gtk
%defattr(-, root, root)
%doc frontend/gnome/{AUTHORS,README,TODO}
%{_menudir}/*
%{_iconsdir}/*
%attr(755,root,root) %{_xbindir}/*

%changelog
* Fri Aug 31 2001 Yves Duret <yduret@mandrakesoft.com> 0.3.2-4mdk
- rebuild with new netpbm (instead of libgr)

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 0.3.2-3mdk
- complety rewrite spec file : it should now work..
   gocr-frontends renamed gocr-gtk
   removed tcl/tk frontend
   added pach0 and patch1
   polnak powered (PLD)

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-2mdk
- rebuild

* Tue Jun 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- updated by Marcel Pol <mpol@gmx.net> :
	- Version 0.3.2

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- added in contribs by Marcel Pol <mpol@gmx.net> :
	- Added menu entry for gtk-ocr

* Tue Mar 20 2001 Marcel Pol <mpol@gmx.net> 0.3.1-2mdk
- Added Requires libgr1 libgtk+
- Added BuildRequires libgr1-devel libgtk+1.2-devel
- Added Provides
- Added files gocr.tcl and gtk-ocr
- Split package into gocr, gocr-devel and gocr-frontends

* Mon Mar 19 2001 Marcel Pol <mpol@gmx.net> 0.3.1-1mdk
- Built release 0.3.1                                   
